//PCX.HPP COPYRIGHT 1995 KEVIN HOFFMAN
//ALL RIGHTS RESERVED

//This file is for reading/loading pcx files with ease

#define PCXFILE_ERROR_NONE      0
#define PCXFILE_ERROR_LOADING   1
#define PCXFILE_ERROR_NOMEM     2

class PCXFile
{
    protected:
    //Holds an error code...see PCXFILE_ERROR_???? Defines for more
    short error;
    //Is the buffer for holding the PCX image
    char *pcxpicture;
    //Width & Height of the picture
    short PCXwidth;
    short PCXheight;
    //Tells if a pcx is loaded
    //0-not loaded
    //1-Loaded
    short pcxload;
    //Is the palette for the pcx picture
    //Like Red,Green,Blue,Red,Green,Blue,Red,ect...
    unsigned char PCXpalette[768];
    public:
    //Default Constructor...
    PCXFile(void);
    //Default DeConstructor
    ~PCXFile(void);
    //Constructor TO Load a PCX
    PCXFile(char *filename);
    //Loads a PCX File
    short Load(char *filename);
    //Closes a PCX FIle(deinits memory...Called by contructor
    void Close(void);
    //Returns the pointer to the picture
    //Is null if no picture is loaded
    char *PicturePtr(void);
    //Returns the pointer to the palette
    //Is null if no picture is loaded
    char *PalettePtr(void);
    //Returns the current error then resets the error
    short Error(void);
};
